setTrafficSourceInfo

Sets traffic source information for the current session of a user. If the user/device does not exist, a new user will be created (see the createDisposition option below). This method requires your production API clientKey.

Body Params

JSON request body with traffic source information.

string
required
Defaults to YOUR_APP_ID

The application ID. To find yours, select your app in the navigation column, and click Manage Apps. Then click Keys & Settings.

string
required
Defaults to YOUR_PROD_KEY

The Production key for your Leanplum App.

string
enum
required
Defaults to 1.0.6

The version of the Leanplum API to use. The current version is 1.0.6.

Allowed:
string
required
Defaults to hfarnsworth

The current user ID. You can set this to whatever your company uses for user IDs. Leave it blank to use the device ID. For more info, see selecting a user.

string

A unique ID for the device targeted by the request. You must provide a deviceId and/or a userId. See selecting a user.

string
enum
Defaults to CreateIfNeeded

The policy that determines whether users are created by the API. Possible values:

  • CreateIfNeeded creates a user with the given IDs if one does not already exist.
  • CreateNever requires that the user already exists, otherwise the API action is skipped and a warning will be returned.

The default value for this method is CreateIfNeeded.

Allowed:
trafficSource
object
required

An object of traffic source parameters.

float

The time at which the session started, in seconds since midnight UTC on January 1, 1970. This should be no more than 2 minutes after the session started. If not provided, uses the current time.

boolean
Defaults to false

Whether the user is in Development Mode, i.e. the user associated with the request is a developer and not a user. This is important for reporting purposes. Default: false.

Response

Language
Credentials
URL
Response
Choose an example:
application/json